--------------------------------------------------
-- Mir AI configuration file
--------------------------------------------------
CIRCLE_ON_IDLE      = 1    -- 0 = disabled
HP_PERC_DANGER      = 50   -- HP% below that makes your homunculus to evade the monsters
HP_PERC_SAFE2ATK    = 75   -- The AI is not aggressive until the homunculus reaches this HP% (> 100 = never agressive)
OWNER_CLOSEDISTANCE = 2    -- Distance to reach when the houmunculus goes to the owner
TOO_FAR_TARGET      = 13   -- Max interception range from the owner
SKILL_TIME_OUT      = 2000 -- The AI doesn't use aggressive skills if more than the specified milliseconds are passed
                           -- from the begin of the attack (unless the skill mode for this monster is "WITH_full_power")
-- Alchemist Auto Attacks (AAA)-------------------
-- HP Range (no AAA when HP are out of this range)
AAA_MinHP      = 100   --\__ to disable limits: set AAA_MinHP = 0 and AAA_MaxHP = a very high value,
AAA_MaxHP      = 32000 --/   that your alchemist will never reach (eg. 32000)
-- Cart Revolution
ACR_MinEnemies = 2  -- Minimum enemies (0=disabled, no Cart Revolution)
ACR_MinSP      = 20 -- Minimum SP to use Auto Cart Revolution
-- (single target) Weapon-based skill
AST_SkillID    = 0  -- 0 = disabled, 5=Bash(Cultus), 14=Cold Bolt(Ice Falchion), 19 = Firebolt (Fireblend)
AST_MinSP      = 20 -- Minimum SP to use an Auto Single Target weapon-based attak

-- Auto-Aid Potion (AAP) -------------------------
AAP_Mode    = 3    -- set this to 0 to disable AAP
AAP_HP_Perc = 65   -- if the HP are below this percentage, an AAP (or Healing Touch) is casted
                   -- select a % that an AAP can returns HP above HOMUN_SAFE_HP_PERC
AAP_Level   = 2    -- lvl 2 throws orange potions

-- Auto-skills -----------------------------------
-- these valuse are the minimum SP required in order to activate a skill:
-- the AI will not cast that skill until your homunculus has >= SP than
-- the specified value. So, if you want to disable an autoskill, give to
-- it a very high valule, that your homunculus will never reach (e.g. 9999)

-- Amistr
AUTOSKILL_SP_AMI_BULW   = 40 -- Bulwark (ID: 8006)
AUTOSKILL_SP_AMI_CAST   = 10 -- Castling (ID: 8005)

-- Filir
AUTOSKILL_SP_FIL_MOON   = 20 -- Moonlight (ID: 8009)
AUTOSKILL_SP_FIL_ACCL   = 70 -- Accelerated Flight (ID: 8011)
AUTOSKILL_SP_FIL_FLTT   = 70 -- Flitting (ID: 8010)

-- Lif
AUTOSKILL_SP_LIF_HEAL   = 40 -- Healing touch (ID: 8001)
AUTOSKILL_SP_LIF_ESCP   = 40 -- Urgent escape (ID: 8002)

-- Vanilmirth
-- if you want to preserve SP for chaotic blessing
-- then set AUTOSKILL_SP_VAN_CAPR = 70 (make sure your homunculus
-- has at least 70 MaxSP, if it is a low level homunculus)
-- else leave it = 30
AUTOSKILL_SP_VAN_CAPR   = 30 -- Caprice (ID: 8013)
AUTOSKILL_SP_VAN_BLES   = 9999 -- Chaotic Blessings (ID: 8014)

-- Tact list: behaviour for each monster ---------
-- format: Tact[ID] = {"Name", behaviour, skill mode}
-- ID: please check ROEmpire database for more IDs: http://www.roempire.com/database/?page=monsters
-- Name: this is just for you, the AI only checks the ID
-- Behaviours and skill modes: you can find the list in Const.lua
DEFAULT_BEHA = BEHA_attack     -- \__ values assumed for any monster not listed below
DEFAULT_WITH = WITH_slow_power -- /
Tact = {}
Tact[1261] = {"Wild Rose", BEHA_react, WITH_full_power}
-- Eggs
Tact[1008] = {"Pupa", BEHA_attack_last, WITH_no_skill}
Tact[1048] = {"Thief Bug Egg", BEHA_attack_last, WITH_no_skill}
Tact[1047] = {"Peco Peco Egg", BEHA_attack_last, WITH_no_skill}
Tact[1097] = {"Ant Egg", BEHA_attack_last, WITH_no_skill}
-- Poring and Metaling fields
Tact[1368] = {"Geographer", BEHA_avoid, WITH_no_skill}
Tact[1118] = {"Flora", BEHA_coward, WITH_full_power}
Tact[1613] = {"Metaling", BEHA_react, WITH_one_skill}
Tact[1031] = {"Poporing", BEHA_react, WITH_one_skill}
Tact[1242] = {"Marin", BEHA_react, WITH_no_skill}
Tact[1113] = {"Drops", BEHA_attack, WITH_no_skill}
Tact[1002] = {"Poring", BEHA_attack_last, WITH_no_skill}
-- Orc Dungeon (lvl 50+ Settings)
Tact[1189] = {"Orc Archer", BEHA_react, WITH_full_power}
Tact[1177] = {"Zenorc", BEHA_attack, WITH_one_skill}
Tact[1152] = {"Orc Skeleton", BEHA_react, WITH_one_skill}
Tact[1111] = {"Drainliar", BEHA_attack_weak, WITH_no_skill}
Tact[1042] = {"Steel Chonchon", BEHA_react, WITH_no_skill}
-- Summoned Plants
Tact[1555] = {"Sm. Parasite", BEHA_avoid, WITH_no_skill}
Tact[1575] = {"Sm. Flora", BEHA_avoid, WITH_no_skill}
Tact[1579] = {"Sm. Hydra", BEHA_avoid, WITH_no_skill}
Tact[1589] = {"Sm. Mandragora", BEHA_avoid, WITH_no_skill}
Tact[1590] = {"Sm. Geographer", BEHA_avoid, WITH_no_skill}
-- WoE Guardians
Tact[1285] = {"WoE Guardian 1", BEHA_avoid, WITH_no_skill}
Tact[1286] = {"WoE Guardian 2", BEHA_avoid, WITH_no_skill}
Tact[1287] = {"WoE Guardian 3", BEHA_avoid, WITH_no_skill}
Tact[1288] = {"WoE Guardian 4", BEHA_avoid, WITH_no_skill}
-- Plants and mushrooms
Tact[1078] = {"Red Plant", BEHA_react, WITH_no_skill}
Tact[1079] = {"Blue Plant", BEHA_react, WITH_no_skill}
Tact[1080] = {"Green Plant", BEHA_react, WITH_no_skill}
Tact[1081] = {"Yellow Plant", BEHA_react, WITH_no_skill}
Tact[1082] = {"White Plant", BEHA_react, WITH_no_skill}
Tact[1083] = {"Shining Plant", BEHA_react, WITH_no_skill}
Tact[1084] = {"Black Mushroom", BEHA_react, WITH_no_skill}
Tact[1085] = {"Red Mushroom", BEHA_react, WITH_no_skill}
-- End Tact